> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /openaire/data_sources/search

> Search OpenAIRE data sources by name

**Price:** 5 credits per 100 results



## OpenAPI

````yaml /openapi/research-papers.json post /api/openaire/data_sources/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/openaire/data_sources/search:
    post:
      tags:
        - /openaire
      summary: /openaire/data_sources/search
      description: |-
        Search OpenAIRE data sources by name

        **Price:** 5 credits per 100 results
      operationId: __api_openaire_data_sources_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenaireDataSourcesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpenaireDataSource'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenaireDataSourcesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          minimum: 1
        search:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - count
    OpenaireDataSource:
      properties:
        '@type':
          type: string
          default: OpenaireDataSource
        id:
          type: string
        official_name:
          anyOf:
            - type: string
            - type: 'null'
        english_name:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - $ref: '#/components/schemas/OpenaireDataSourceType'
            - type: 'null'
        openaire_compatibility:
          anyOf:
            - type: string
            - type: 'null'
        content_types:
          items:
            type: string
          type: array
          default: []
        languages:
          items:
            type: string
          type: array
          default: []
        pid_systems:
          items:
            type: string
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        website_url:
          anyOf:
            - type: string
            - type: 'null'
        subjects:
          items:
            type: string
          type: array
          default: []
        original_ids:
          items:
            type: string
          type: array
          default: []
        pids:
          items:
            $ref: '#/components/schemas/OpenairePid'
          type: array
          default: []
        versioning:
          anyOf:
            - type: boolean
            - type: 'null'
        date_of_validation:
          anyOf:
            - type: string
            - type: 'null'
        access_rights:
          anyOf:
            - type: string
            - type: 'null'
        upload_rights:
          anyOf:
            - type: string
            - type: 'null'
        data_upload_restriction:
          anyOf:
            - type: string
            - type: 'null'
        database_access_restriction:
          anyOf:
            - type: string
            - type: 'null'
        journal:
          anyOf:
            - $ref: '#/components/schemas/OpenaireContainer'
            - type: 'null'
        mission_statement_url:
          anyOf:
            - type: string
            - type: 'null'
        citation_guideline_url:
          anyOf:
            - type: string
            - type: 'null'
        release_start_date:
          anyOf:
            - type: string
            - type: 'null'
        release_end_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpenaireDataSourceType:
      properties:
        '@type':
          type: string
          default: OpenaireDataSourceType
        scheme:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OpenairePid:
      properties:
        '@type':
          type: string
          default: OpenairePid
        scheme:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OpenaireContainer:
      properties:
        '@type':
          type: string
          default: OpenaireContainer
        name:
          anyOf:
            - type: string
            - type: 'null'
        issn_printed:
          anyOf:
            - type: string
            - type: 'null'
        issn_online:
          anyOf:
            - type: string
            - type: 'null'
        issn_linking:
          anyOf:
            - type: string
            - type: 'null'
        iss:
          anyOf:
            - type: string
            - type: 'null'
        vol:
          anyOf:
            - type: string
            - type: 'null'
        sp:
          anyOf:
            - type: string
            - type: 'null'
        ep:
          anyOf:
            - type: string
            - type: 'null'
        edition:
          anyOf:
            - type: string
            - type: 'null'
        conference_place:
          anyOf:
            - type: string
            - type: 'null'
        conference_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````